{% extends "base_layout.html" %}
	
{% block content %}
	
	{% for data in posts %}		<!-- key of dictionary is accessable in the template -->
		<article class="media content-section">
			<img class="rounded-circle article-img" src="{{ data.author.profile.image.url }}">
			<div class="media-body">
				<div class="article-metadata">
					<a class="mr-2" href="{% url 'articles:user-posts' data.author.username %}">{{ data.author }}</a>
					<small class="text-muted">{{ data.date_posted|date:"F d, Y" }}</small>
				</div>
				<h2><a class="article-title" href="{% url 'articles:post-detail' data.id %}">{{ data.title }}</a></h2>
				<p class="article-content">{{ data.snippet }}</p>
			</div>
		</article>
	{% endfor %}
	
	{% if is_paginated %}
		{% if page_obj.has_previous %}
			<a class="btn btn-outline-info mb-4" href="?page=1">First</a>
			<a class="btn btn-outline-info mb-4" href="?page={{ page_obj.previous_page_number }}">Previous</a>
		{% endif %}
	
		{% for num in page_obj.paginator.page_range %}
			{% if page_obj.number == num %}
				<a class="btn btn-info mb-4" href="?page={{ num }}">{{ num }}</a>
			{% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
				<a class="btn btn-outline-info mb-4" href="?page={{ num }}">{{ num }}</a>
			{% endif %}
		{% endfor %}

		{% if page_obj.has_next %}
			<a class="btn btn-outline-info mb-4" href="?page={{ page_obj.next_page_number }}">Next</a>
			<a class="btn btn-outline-info mb-4" href="?page={{ page_obj.paginator.num_pages }}">Last</a>
		{% endif %}
	{% endif %}

{% endblock content %}